<div>
  <a href="https://github.com/micro/micro/stargazers"><img src="https://img.shields.io/github/stars/micro/micro?style=social" /></a>
  <a href="https://m3o.com"><img src="https://img.shields.io/badge/micro-cloud-orange" /></a>
  <a href="https://slack.m3o.com"><img src="https://img.shields.io/badge/micro-slack-red" /></a>
</div>

Micro is a distributed operating system built for the cloud.

## Overview

Micro addresses the key requirements for building services in the cloud. It leverages the microservices
architecture pattern and provides a set of services which act as the building blocks of a platform. Micro deals
with the complexity of distributed systems and provides simpler programmable abstractions to build on. 

## Source

[GitHub Repo](https://github.com/micro/micro)

## Download

[Latest Release](https://github.com/micro/micro/releases/latest)

## Content

Documentation, guides and quick starts for Micro

- [Introduction](introduction) - A high level introduction to Micro
- [Getting Started](getting-started) - The helloworld quickstart guide
- [Upgrade Guide](upgrade-guide) - Update your go-micro project to use micro v3.
- [Architecture](architecture) - Describes the architecture, design and tradeoffs
- [Reference](reference) - In-depth reference for Micro CLI and services
- [Resources](resources) - External resources and contributions
- [Roadmap](roadmap) - Stuff on our agenda over the long haul
- [FAQ](faq) - Frequently asked questions

## Cloud

A living, breathing version of Micro is run as a public cloud platform called [M3O](https://m3o.com).

## License

[Apache 2.0](https://opensource.org/licenses/Apache-2.0)
